org.wso2.carbon.device.mgt.mobile.windows.api.services.enrollment.beans

## Class RequestSecurityTokenResponse

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.enrollment.beans.RequestSecurityTokenResponse

- All Implemented Interfaces:
    Serializable

      public class RequestSecurityTokenResponse
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestSecurityTokenResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDispositionMessage()`
    `RequestedSecurityToken` | `getRequestedSecurityToken()`
    `int` | `getRequestID()`
    `String` | `getTokenType()`
    `void` | `setDispositionMessage(String dispositionMessage)`
    `void` | `setRequestedSecurityToken(RequestedSecurityToken requestedSecurityToken)`
    `void` | `setRequestID(int requestID)`
    `void` | `setTokenType(String tokenType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestSecurityTokenResponse

          public RequestSecurityTokenResponse()

  - ### Method Detail

    - #### getTokenType

          public String getTokenType()

    - #### setTokenType

          public void setTokenType(String tokenType)

    - #### getRequestedSecurityToken

          public RequestedSecurityToken getRequestedSecurityToken()

    - #### setRequestedSecurityToken

          public void setRequestedSecurityToken(RequestedSecurityToken requestedSecurityToken)

    - #### getRequestID

          public int getRequestID()

    - #### setRequestID

          public void setRequestID(int requestID)

    - #### getDispositionMessage

          public String getDispositionMessage()

    - #### setDispositionMessage

          public void setDispositionMessage(String dispositionMessage)

Copyright © 2017 WSO2. All rights reserved.